Package org.apache.uima.collection.metadata

# Interface CasProcessorRuntimeEnvParam

All Superinterfaces:
  `Cloneable`, `MetaDataObject`, `Serializable`, `XMLizable`

public interface CasProcessorRuntimeEnvParam extends MetaDataObject
An object that holds configuration that is part of the CPE descriptor. It provides the means of configuring environment variables used when launching local CasProcessors.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEnvParamName()`
  Returns a name of parameter
  `String`
  `getEnvParamValue()`
  Returns parameter value
  `void`
  `setEnvParamName(String aEnvParamName)`
  Sets a name for new parameter
  `void`
  `setEnvParamValue(String aEnvParamValue)`
  Sets a value for new parameter

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Method Details

  - ### setEnvParamName

    void setEnvParamName(String aEnvParamName) throws CpeDescriptorException
    Sets a name for new parameter
    Parameters:
      `aEnvParamName` - - param name
    Throws:
      `CpeDescriptorException` - tbd

  - ### getEnvParamName

    String getEnvParamName() throws CpeDescriptorException
    Returns a name of parameter
    Returns:
      - parm name
    Throws:
      `CpeDescriptorException` - tbd

  - ### setEnvParamValue

    void setEnvParamValue(String aEnvParamValue) throws CpeDescriptorException
    Sets a value for new parameter
    Parameters:
      `aEnvParamValue` - - param value
    Throws:
      `CpeDescriptorException` - tbd

  - ### getEnvParamValue

    String getEnvParamValue() throws CpeDescriptorException
    Returns parameter value
    Returns:
      - param value
    Throws:
      `CpeDescriptorException` - tbd